package u10a1;

import java.util.ArrayList;

/**
 * Sort algorithms for comparable things
 * 
 * @param <T>
 *            The type of the things which are sorted.
 */
public interface ISort<T extends Comparable<T>> {
	/**
	 * Sorts a array list of comparable things
	 * 
	 * @param items
	 *            the array list of comparable things. 
	 *            This array list is not altered.
	 * @return an in ascending order sorted copy of the given vector
	 */
	public ArrayList<T> sort(ArrayList<T> items);
}
